Subject: [xrblock] Fw: I-D Action: draft-ietf-xrblock-rtcp-xr-discard-10.txt

From: Qin Wu <[email-masked]>
Date: Fri, 14 Dec 2012 18:14:02 +0800

On 14 December , 2012 6:04 PM, [email-masked] wrote:

> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Metric Blocks for use with RTCP's Extended Report Framework Working Group of the IETF.
> 
> Title           : RTP Control Protocol (RTCP) Extended Report (XR) Block for Discard Count metric Reporting
> Author(s)       : Alan Clark
>                          Glen Zorn
>                          Qin Wu
> Filename        : draft-ietf-xrblock-rtcp-xr-discard-10.txt
> Pages           : 16
> Date            : 2012-12-14
> 
> Abstract:
>   This document defines an RTP Control Protocol(RTCP) Extended Report
>   (XR) Block that allows the reporting of a simple discard count metric
>   for use in a range of RTP applications.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-xrblock-rtcp-xr-discard

[Qin]: Here is one more update to Discard draft. The main change is to
remove DT=3 to address the issue raised to Summary Statistics draft by Colin.
The others are just editorial changes which are used to get in line with the one 
we made for burst Gap related drafts.

---

From: Colin Perkins <[email-masked]>
Date: Tue, 18 Dec 2012 15:29:20 +0000

> remove DT=3 to address the issue raised to Summary Statistics draft by Colin.

Thanks.

> The others are just editorial changes which are used to get in line with the one we made for burst Gap related drafts.

Two other minor comments on this draft:

- In Section 3.2, the text: “An endpoint MAY report only one of the above three discard types blocks in an compound RTCP report in a reporting interval.  It MAY also report a combination of any two discard types in a compound RTCP report.  The endpoint MAY report duplicate packet discard (DT=0) block with the other two discard (DT=1, 2) blocks.” is confusing. Would it not be clearer to say “An endpoint MAY report any combination of discard types in each reporting interval by including several Discard Count Metric Report Blocks in a single RTCP XR packet”. 	

- In Section 3.2, the text “The length of this report block in 32-bit words, minus one and MUST be set to 2,, in accordance with the definition of this field in [RFC3611]” should probably read “The length of this report block in 32-bit words, minus one, in accordance with the definition in [RFC3611]. This field MUST be set to 2 to match the fixed length of the report block.”

-- 
Colin Perkins
http://csperkins.org/

---

From: Qin Wu <[email-masked]>
Date: Wed, 19 Dec 2012 09:17:18 +0800

Okay, thanks.
----- Original Message ----- 
From: "Colin Perkins" <[email-masked]>
To: "Qin Wu" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, December 18, 2012 11:29 PM
Subject: Re: [xrblock] I-D Action: draft-ietf-xrblock-rtcp-xr-discard-10.txt

Thanks.

-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
xrblock mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xrblock